petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPBCGSLSetPol

Sets the type of polynomial part will be used in the BiCGSTab(L) solver.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPBCGSLSetPol(KSP ksp, PetscBool uMROR)

Logically Collective on KSP

### Input Parameters

| ksp | - iterative context obtained from KSPCreate
| uMROR | - set to PETSC_TRUE when the polynomial is a convex combination of an MR and an OR step.

### Options Database Keys

| -ksp_bcgsl_cxpoly | - use enhanced polynomial
| -ksp_bcgsl_mrpoly | - use standard polynomial

### Keywords

BiCGStab(L), set, polynomial

### See Also

KSP, KSPBCGSL, KSPCreate(), KSPSetType()

### Level

intermediate

### Location

src/ksp/ksp/impls/bcgsl/bcgsl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages